# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish VMOD for digests, checksums and hmacs for the VCL blob type
Name: vmod-blobdigest
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://code.uplex.de/uplex-varnish/libvmod-blobdigest
Source0: %{name}-%{version}.tar.gz

# varnish from varnish66 at packagecloud
Requires: varnish = 6.6.2

BuildRequires: varnish-devel = 6.6.2
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vmod-blobdigest, vmod-blobdigest-debuginfo

%description
VMOD blobdigest is a Varnish Module for generating message digests,
keyed-hash message authentication codes (HMACs) and checksums using
the Varnish Configuration Language (VCL) data type BLOB, which may
contain arbitrary data of any length.

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure

make -j

%check

make -j check

%install

make install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Wed Jan 26 2022 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
- Update for Varnish 6.6.2

* Thu Apr 22 2021 Geoff Simmons <geoff@uplex.de> - 1.6.0-1
- Update for Varnish 6.6.0

* Thu Dec 31 2020 Geoff Simmons <geoff@uplex.de> - 1.5.0-1
- Update for Varnish 6.5.1

* Fri Feb 21 2020 Geoff Simmons <geoff@uplex.de> - 1.3.2-1
- Update for Varnish 6.3.2

* Mon Oct 21 2019 Geoff Simmons <geoff@uplex.de> - 1.3.1-1
- Update for Varnish 6.3.1
- Strictly require the Varnish version, since the VMOD is $ABI strict

* Tue Oct 8 2019 Geoff Simmons <geoff@uplex.de> - 1.3.0-1
- Require VRT 10.0, compatible with Varnish 6.3
